package cn.com.qmth.stmms.biz.mark.service;

import cn.com.qmth.stmms.biz.mark.model.ProblemHistory;
import cn.com.qmth.stmms.biz.mark.query.ProblemHistorySearchQuery;

import java.util.List;

public interface ProblemHistoryService {

    ProblemHistory save(ProblemHistory history);

    long countByExamIdAndProblemId(Integer examId, Integer problemId);

    List<String> findProblemSubjectCode(Integer examId);

    ProblemHistorySearchQuery findByQuery(ProblemHistorySearchQuery query);

}
